Package org.eclipse.lemminx.services.format

## Class DOMCommentFormatter

- java.lang.Object
- - org.eclipse.lemminx.services.format.DOMCommentFormatter

    public class DOMCommentFormatter
    extends Object

DOM comment formatter.

### Constructor Summary

Constructors
`DOMCommentFormatter​(XMLFormatterDocument formatterDocument)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `formatComment​(DOMComment commentNode, XMLFormattingConstraints parentConstraints, int startRange, int endRange, List<org.eclipse.lsp4j.TextEdit> edits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMCommentFormatter

    public DOMCommentFormatter​(XMLFormatterDocument formatterDocument)

### Method Detail

#### formatComment

    public void formatComment​(DOMComment commentNode,
                              XMLFormattingConstraints parentConstraints,
                              int startRange,
                              int endRange,
                              List<org.eclipse.lsp4j.TextEdit> edits)